--- old/usr/src/lib/libm/common/C/exp2.c	2019-06-06 20:37:45.702077139 +0000
+++ new/usr/src/lib/libm/common/C/exp2.c	2019-06-06 20:37:45.720542093 +0000
@@ -18,9 +18,11 @@
  *
  * CDDL HEADER END
  */
+
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -28,7 +30,7 @@
 
 #pragma weak __exp2 = exp2
 
-/* INDENT OFF */
+
 /*
  * exp2(x)
  * Code by K.C. Ng for SUN 4.0 libm.
@@ -37,7 +39,6 @@
  *		= 2**anint(x)*2**(x-anint(x))
  *		= 2**anint(x)*exp((x-anint(x))*ln2)
  */
-/* INDENT ON */
 
 #include "libm.h"
 
@@ -50,39 +51,45 @@
 	1.0e-300,
 };
 
-#define	zero	C[0]
-#define	one	C[1]
-#define	half	C[2]
-#define	ln2	C[3]
-#define	huge	C[4]
-#define	tiny	C[5]
+#define	zero		C[0]
+#define	one		C[1]
+#define	half		C[2]
+#define	ln2		C[3]
+#define	huge		C[4]
+#define	tiny		C[5]
 
 double
-exp2(double x) {
-	int	ix, hx, k;
-	double	t;
+exp2(double x)
+{
+	int ix, hx, k;
+	double t;
 
 	ix = ((int *)&x)[HIWORD];
 	hx = ix & ~0x80000000;
 
-	if (hx >= 0x4090e000) {	/* |x| >= 1080 or x is nan */
+	if (hx >= 0x4090e000) {		/* |x| >= 1080 or x is nan */
 		if (hx >= 0x7ff00000) {	/* x is inf or nan */
 			if (ix == 0xfff00000 && ((int *)&x)[LOWORD] == 0)
 				return (zero);
+
 			return (x * x);
 		}
-		t = (ix < 0)? tiny : huge;
+
+		t = (ix < 0) ? tiny : huge;
 		return (t * t);
 	}
 
-	if (hx < 0x3fe00000) {	/* |x| < 0.5 */
+	if (hx < 0x3fe00000) {		/* |x| < 0.5 */
 		if (hx < 0x3c000000)
 			return (one + x);
+
 		return (exp(ln2 * x));
 	}
 
 	k = (int)x;
+
 	if (x != (double)k)
-		k = (int)((ix < 0)? x - half : x + half);
+		k = (int)((ix < 0) ? x - half : x + half);
+
 	return (scalbn(exp(ln2 * (x - (double)k)), k));
 }
